
public class Klijent extends Thread {
	private static int brojKlijenata=0;
	private int KlijentID;
	private Server server;
	private Zahtev zahtev;
	
	// konstruktor
	public Klijent (Server server) {	
		KlijentID=brojKlijenata++;
		this.server=server;
		System.out.println ("<KLIJENT #"+KlijentID+"> kreiran");
	}
	
	// vraca ID ovog klijenta
	public int ID () { return KlijentID; }
	
	// generise zahtev (string) za obradu
	public Zahtev generisiZahtev () {
		return new Zahtev (this, Recnik.slucajnaRec());
	}
	
	// razmislja u proseku 20 sekundi
	public void razmisljaj () {		
		try {
			sleep ( (long) ( -20000*Math.log(Math.random()) ) );
		} catch (InterruptedException e) {}
	}
			
	
/* NAPOMENA:
	U tekstu zadatka, nije precizno specificirano sta se desava ako vise klijenata
	ceka na randevu sa serverom, tj. koji po kom kriterijumu server bira sa  kojim 
	od njih ce da obavi randevu.
	Ova realizacija podrazumeva da server na slucajan nacin bira jednog od klijenata
	koji ceka na randevu.
*/
	public void run () {
		System.out.println ("<klijent #"+ID()+"> pokrenut");
		while (true) {
			razmisljaj ();
			zahtev = generisiZahtev ();
			System.out.println ("<KLIJENT #"+ID()+"> generisao zahtev ["+zahtev.zahtev()+"] i ceka na randevu");
			server.randevu (zahtev);
		}
	}
}